<div class="menucenter">
<?
$ptcvaluta1="руб."; // Валюта (Например WMR или руб.)

$sql=mysql_query("select price from tb_config where item='mail_p'");
$adsm=mysql_result($sql,0,0);

$sql=mysql_query("select price from tb_config where item='mail_min'");
$adsm2=mysql_result($sql,0,0);

$sql=mysql_query("select price from tb_config where item='mail_25'");
$adstime1=mysql_result($sql,0,0);

$sql=mysql_query("select price from tb_config where item='mail_30'");
$adstime2=mysql_result($sql,0,0);

$sql=mysql_query("select price from tb_config where item='mail_35'");
$adstime3=mysql_result($sql,0,0);

$sql=mysql_query("select price from tb_config where item='mail_40'");
$adstime4=mysql_result($sql,0,0);

$sql=mysql_query("select price from tb_config where item='mail_pod'");
$adspod=mysql_result($sql,0,0);

$sql=mysql_query("select price from tb_config where item='mail_all'");
$adsmall=mysql_result($sql,0,0);

if ($_GET["p"]=="pay") {

$tarif=intval($_POST[tarif]);


$text=text($_POST[text]);
$title=text($_POST[title]);
$link=text($_POST[link]);
$time=text($_POST[time]);
$pod=text($_POST[pod]);
$all=intval($_POST[all]);

$keyto=mt_rand(111111,999999);

 if($_POST["system"]=="wmid"){
     $wmid=$_POST["wmid"];
	if ($wmid=="" or strlen($wmid) > 12 or strlen($wmid) < 12 or !preg_match("/[0-9]/", $wmid)) {print"<div class='error'>Ошибка! Вы не верно указали WMID!<br /><a href=advertise.php?adv=mail_ads>&lt;&lt; Вернуться назад</a></div>"; include("footer.php"); exit;}
   }elseif($_POST["system"]=="liqpay"){
   	 function liq($mensaje)
     {
      if (preg_match("/[0-9]/", $mensaje))
      {
        return $mensaje;
      }else{
        echo "<div class='error'>Введенные данные содержат запрещенные символы. Проверьте правильность ввода счета LiqPay</div>";include('footer.php');exit();
      }
     }

     $schet = liq($_POST["schet"]);$wmid ="+".$schet;
     if(!is_numeric($wmid) or strlen($wmid)< 8 or strlen($wmid)> 15 or $wmid==NULL){echo "<div class='error'>Неверно введен номер счета LiqPay</div>";include('footer.php');exit();}
   }else{
   	 echo "<div class='error'>Заполнены не все поля!!!</div>";include('footer.php');exit();
   }

if ($title=="" or strlen($title) > 60) {print"<div class='error'>Ошибка! Вы не указали заголовок или он привышает 60 символов!<br><a href=advertise.php?adv=mail_ads>&lt;&lt; Вернуться назад</a></div>"; include("footer.php"); exit;}

if ($text=="" or strlen($text) > 2500) {print"<div class='error'>Ошибка! Вы не указали текст или он привышает 2500 символов!<br><a href=advertise.php?adv=mail_ads>&lt;&lt; Вернуться назад</a></div>"; include("footer.php"); exit;}

if ($link=="" or $link=="http://" or strlen($link) > 160) {print"<div class='error'>Ошибка! Вы не указали URL ссылки или он привышает 160 символов!<br><a href=index.php?page=ads_wm&ads=$ads>&lt;&lt; Вернуться назад</a></div>"; include("footer.php"); exit;}

if ($tarif=="" or $tarif<$adsm2) {print"<div class='error'>Ошибка! Минимальный заказ $adsm2 писем!<br><a href=advertise.php?adv=mail_ads>&lt;&lt; Вернуться назад</a></div>"; include("footer.php"); exit;}

if ($time=="" or $pod=="") {print"<div class='error'>Ошибка! Вы не указали дополнительные параметры!<br><a href=advertise.php?adv=mail_ads>&lt;&lt; Вернуться назад</a></div>"; include("footer.php"); exit;}


if ($time==1) {$cena_time="0"; $timesec="20";}
if ($time==2) {$cena_time="$adstime1"; $timesec="25";}
if ($time==3) {$cena_time="$adstime2"; $timesec="30";}
if ($time==4) {$cena_time="$adstime3"; $timesec="35";}
if ($time==5) {$cena_time="$adstime4"; $timesec="40";}

if ($pod==1) {$cena_pod="$adspod"; $podto="есть (+$adspod $ptcvaluta1)";} else {$cena_pod="0"; $podto="нет";}

$cena=$adsm*$tarif;

// Итоговая сумма

if ($all==1) {
$itogsum=$adsmall+$cena_time+$cena_pod;
$tarif2=time();
$tarif3="Рассылка всем пользователям + новым в течение недели";
} else {
$itogsum=$cena+$cena_time+$cena_pod;
$tarif2=$tarif;
$tarif3=$tarif;
}

$add1="INSERT INTO tb_adsmail2 (user, plan, link, title, text, time, summ, pod, keyto) VALUES ('$wmid','$tarif2','$link','$title','$text','$timesec','$itogsum','$pod','$keyto')";
mysql_query($add1);

$res=mysql_query("select purse, valutaname from tb_site where id='1'");
$pv=mysql_fetch_assoc($res);
$p=$pv["purse"];

$result=mysql_query("select id from tb_adsmail2 where user='$wmid' order by id desc");
$result=mysql_fetch_assoc($result);
$id=$result["id"];

print"
<img src=img/ok.gif width=16 height=16 border=0 align=absmiddle> <font color=#00cc00><b>Ваш заказ принят!</b></font><br><br>
<font color=#ff0000>Рассылка будет выполнена автоматически после оплаты.</font>
<br><br>----------<br>
<b>Номер счета:</b> #$keyto<br>
<b>Сумма к оплате:</b> $itogsum $ptcvaluta1<br>
<b>Количество писем:</b> $tarif3<br>
<b>Время просмотра:</b> $timesec сек.<br>
<b>Подтверждение просмотра:</b> $podto<br>
<b>Заголовок письма/ссылки:</b> $title<br>
<b>URL ссылки:</b> $link<br>
----------<br><br>";

if($_POST["system"]=="wmid"){
echo "<form method=\"POST\" action=\"https://merchant.webmoney.ru/lmi/payment.asp\">
		<input type=\"hidden\" name=\"LMI_PAYMENT_AMOUNT\" value=\"".$itogsum."\">
		<input type=\"hidden\" name=\"LMI_PAYMENT_DESC\" value=\"Оплата рассылки c WMID#".$wmid.". Заказ ".$tarif." писем по ".$timesec." сек.\">
		<input type=\"hidden\" name=\"LMI_PAYEE_PURSE\" value=\"".$p."\">
		<input type=\"hidden\" name=\"service\" value=\"mail_mess\">
		<input type=\"hidden\" name=\"id\" value=\"".$id,"\">
		<input type=\"submit\" value=\"Оплатить ".$itogsum." ".$vn." WebMoney\">
	</form></td></tr><tr class='bot'><td class='empty'></td></tr></table>";
}elseif($_POST["system"]=="liqpay"){
$liq=mysql_query("select * from tb_liqpay where id='1'");$ld=mysql_fetch_assoc($liq);

$order = "mailmess_".$id; $resurl = $ld['urlok']; $serurl = $ld['urldop']; $merchant_id = $ld['merchid']; $vval = $ld['valuta'];
    $descript = "Oplata rassilki ".$tarif." id:".$id; $urlzap = "https://www.liqpay.com/?do=clickNbuy";

	$xml="<request>
      <version>1.2</version>
      <result_url>$resurl</result_url>
      <server_url>$serurl</server_url>
      <merchant_id>$merchant_id</merchant_id>
      <order_id>$order</order_id>
      <amount>$itogsum</amount>
      <currency>$vval</currency>
      <description>$descript</description>
      <default_phone></default_phone>
      <pay_way></pay_way>
</request>";

    $signature = $ld['podp'];
	$xml_encoded = base64_encode($xml);
	$lqsignature = base64_encode(sha1($signature.$xml.$signature,1));

echo "<form action=\"".$urlzap."\" method=POST accept-charset=utf-8>
<input type=\"hidden\" name=\"operation_xml\" value=\"".$xml_encoded."\">
<input type=\"hidden\" name=\"signature\" value=\"".$lqsignature."\">
<input type=submit value=\"Оплатить ".$itogsum." ".$ld['valuta']." LiqPay\">
</form></td></tr><tr class='bot'><td class='empty'></td></tr></table>
";
}

include("footer.php"); exit;}

print"
<div class='menucenter'>
<b><font color=#00cc00>» Информация:</font></b>
Текстовые рассылки писем - это платные письма, которые рассылаются пользователям проекта. Для подтверждения просмотра, пользователь должен перейти на Ваш сайт и просмотреть его определенное количество времени. В отличие от обычных ссылок, в письме можно указать гораздо больше рекламной информации. Каждый пользователь может прочитать письмо только один раз.<br>
</div>
<form action=advertise.php?adv=mail_ads&p=pay method=POST>
<table class='reyt' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<thead><tr>
<th align='left' colspan='2'>Текстовые Письма » » »</th>
</tr></thead>
<tr>
<td width='50%'><b>» Способ оплаты:</b></td>
<td><input name=\"system\" value=\"wmid\" onFocus=\"javascript:lpau('liqpay1')\" checked=\"checked\" type=\"radio\">WebMoney
<br>
</td>
</tr>
</table>
<div id=\"liqpay1\" style=\"display: block;\">
<table class='reyt' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<tr>
<td width='50%'><b>» Ваш WMID:</b></td>
<td><input type=\"text\" size=\"40\" maxlength=\"12\" name=\"wmid\" autocomplete=\"off\" value=\"\"></td>
</tr>
</table>
</div>

<div id=\"liqpay2\" style=\"display: none;\">
<table class='reyt' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<tr>
<td width='50%'><b>» LiqPay счет:</b></td>
<td><input type=\"text\" size=\"37\" maxlength=\"13\" name=\"schet\" value=\"\" style=\"background: url(../images/plus.jpg) no-repeat 2px;padding-left: 13px;\">
</td>
</tr>
</table>
</div>

<table class='reyt' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<tr>
<td width='50%'><b>» Заголовок письма:</b> (60 символов)</td>
<td>
<input type=text name=title size=40 maxlength=60>
</td>
</tr>
<tr>
<td colspan='2' align='center'><b>» Текст рассылки:</b> (2500 символов)</td>
</tr><tr>
<td colspan='2' align='center'><textarea rows=10 cols=50 name=text style='width:100%;'></textarea></td>
</tr>
<td><b>» URL ссылки:</b> (160 символов)</td>
<td>
<input type=text name=link size=40 value=http:// maxlength=160>
</td></tr>
<tr>
<td width='50%'>
<b>» Кол-во писем:</b> (Один просмотр = <font color=#00cc00>$adsm $ptcvaluta1</font>)</td>
<td>
<input type=text name=tarif size=25 value=$adsm2>
</td></tr>
<tr style='display:none;'>
<td colspan='2' align='center'>
<input type=checkbox name=all value=1> Рассылка всем пользователям + новым в течение недели (<font color=#00cc00>$adsmall $ptcvaluta1</font>)
</td>
</tr>
<tr>
<td width='50%'>
<b>» Время просмотра:</b></td>
<td>
<select name=time>
<option value=1>20 сек. (+0.00 $ptcvaluta1)</option>
<option value=2>25 сек. (+$adstime1 $ptcvaluta1)</option>
<option value=3>30 сек. (+$adstime2 $ptcvaluta1)</option>
<option value=4>35 сек. (+$adstime3 $ptcvaluta1)</option>
<option value=5>40 сек. (+$adstime4 $ptcvaluta1)</option>
</select>
</td></tr><tr>
<td width='50%'><b><small>» Подтверждение просмотра (доп. защита от автокликеров):</small></b></td>
<td>
<select name=pod>
<option value=0>НЕТ</option>
<option value=1>ДА (+$adspod $ptcvaluta1)</option>
</select>
</td>
</tr><tr>
<td colspan='2' align='center'>
<input type=submit class=ok_wm value=\"Далее &gt;&gt;\">
</td></tr></table>
</form>


<center><br><br><font color=#ff0000>*</font> - На указанный WMID мы Вас проинформируем об окончание просмотра ссылки.</center> $adsss

";
include("footer.php");exit;?>